## percona-xtradb-cluster-5.7 5.7.42-31.65

=== debian/changelog ===
percona-xtradb-cluster-5.7 (5.7.42-31.65-1) UNRELEASED; urgency=medium

  * Update to new upstream release Percona XtraDB Cluster 5.7.42-rel46-
    31.65

 -- ubuntu-cloud-user <alexey.bychko@percona.com>  Sat, 03 Jun 2023 13:55:17 +0000

percona-xtradb-cluster-5.7 (5.7.42-rel46) unstable; urgency=low

  * Packaging updates for PXC 5.7

 -- Alexey Bychko <alexey.bychko@percona.com>  Thu, 17 Mar 2016 19:03:05 +0600
